##############################
# DEMO for wallclock
##############################

  # touch 'auto_path', so that package can be found even
  #  it has not been installed in 'standard' directories.
 set thisDir [file normalize [file dirname [info script]]]
 lappend auto_path [file dirname $thisDir]

 package require wallclock 1.0
 
 proc toggle {wc btn} {
     if { [$wc getClockStatus] == "on" } {
         $wc stop
         $wc configure -state disabled
     } else {
         $wc start
         $wc configure -state normal
     }
 }

 option add *wc1.relief sunken
 option add *wc2.relief sunken

 label .l1 -text UTC
 label .l2 -text "Local Time"
 wallclock .wc1 -utc true
 wallclock .wc2
  
  # two botton just for control
 button .b1 -text "Start/Stop" -command [list toggle .wc1 .b1 ] 
 button .b2 -text "Start/Stop" -command [list toggle .wc2 .b2 ]

  # draw wallclocks and start/stop-buttons
 grid .l1 .wc1 .b1 -padx 5 -pady 5
 grid .l2 .wc2 .b2 -padx 5 -pady 5


 .wc1 start
  # just a little, unnecessary, trick:
  # Wait for some 'random' delay before starting wc2 ..
  # Purpose of this trick is to demonstrate that,
  #  even if wc2 is started after some (456) millisec,
  #  it is able to sync with wc1
 after 456 .wc2 start
 
   # let them run ...
